Name:		mg
Version:	20170828
Release:	1%{?dist}
Summary:	Tiny Emacs-like editor

Group:		Applications/Editors
License:	BSD and ISC and MirOS
URL:		http://homepage.boetes.org/software/mg/
Source0:	http://homepage.boetes.org/software/mg/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ncurses-devel
BuildRequires:	libbsd-devel >= 0.7.0

%description
mg is a tiny, mostly public-domain Emacs-like editor included in the base 
OpenBSD system. It is compatible with Emacs because there shouldn't be any 
reason to learn more editor types than Emacs or vi.

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{optflags} -lncurses" libdir="%{_libdir}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} prefix=%{_prefix} mandir=%{_mandir} \
     INSTALL='install -p'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README tutorial
%{_bindir}/mg
%{_mandir}/man1/mg.1.*

%changelog
* Wed Aug 30 2017 Mark McKinstry <mmckinst@umich.edu> - 20170828-1
- upgrade to 20170828 (RHBZ#1486083)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170401-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20170401-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Apr  7 2017 Mark McKinstry <mmckinst@umich.edu> - 20170401-1
- upgrade to 20170401 (RHBZ#1438167)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 20161005-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Oct 15 2016 Mark McKinstry <mmckinst@umich.edu> - 20161005-1
- upgrade to 20161005 (RHBZ#1382190)

* Sun Sep 25 2016 Mark McKinstry <mmckinst@umich.edu> - 20160912-1
- upgrade to 20160912 (RHBZ#1376263)

* Mon Sep  5 2016 Mark McKinstry <mmckinst@umich.edu> - 20160905-2
- remove patch for ncurses5 workaround, upstream fixed at
  https://github.com/hboetes/mg/commit/1af3d28e

* Mon Sep  5 2016 Mark McKinstry <mmckinst@umich.edu> - 20160905-1
- upgrade to 20160905 (RHBZ#1373172)

* Fri Sep  2 2016 Mark McKinstry <mmckinst@umich.edu> - 20160901-2
- patch to work with ncurses 6

* Fri Sep  2 2016 Mark McKinstry <mmckinst@umich.edu> - 20160901-1
- upgrade to 20160901 (RHBZ#1372497)

* Fri Apr 22 2016 Mark McKinstry <mmckinst@umich.edu> - 20160421-1
- upgrade to 20160421 (RHBZ#1329445)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20160118-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Mark McKinstry <mmckinst@umich.edu> - 20160118-1
- upgrade to 20160118 (RHBZ#1300117)

* Fri Jan 15 2016 Mark McKinstry <mmckinst@umich.edu> - 20160115-1
- upgrade to 20160115 (RHBZ#1298920)
- remove bsd-only-tcsasoft.patch since upstream (Han Boetes) fixed the problem

* Thu Jan 14 2016 Mark McKinstry <mmckinst@umich.edu> - 20150325-1
- upgrade to 20150325 (RHBZ#1296922)
- add bsd-only-tcsasoft.patch

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20150323-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 23 2015 Mark McKinstry <mmckinst@nexcess.net> - 20150323-1
- upgrade to 20150323 (RHBZ#1204740)

* Wed Mar 18 2015 Mark McKinstry <mmckinst@nexcess.net> - 20150316-1
- upgrade to 20150316 (RHBZ#1202792)
- require libbsd >= 0.7.0 which added the 'reallocarray' function

* Fri Dec  5 2014 Mark McKinstry <mmckinst@nexcess.net> - 20141127-1
- upgrade to 20141127 (RHBZ#1170992)

* Thu Oct 30 2014 Mark McKinstry <mmckinst@nexcess.net> - 20141007-1
- upgrade to 20141007 (RHBZ#1150492)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140414-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 22 2014 Mark McKinstry <mmckinst@nexcess.net> - 20140414-1
- upgrade to 20140414 (RHBZ#1010897)
- add libbsd-devel as a requirement

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110905-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110905-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110905-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110905-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20110905-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 08 2011 Mark McKinstry <mmckinst@nexcess.net> - 20110905-1
- upgrade to version 20110905

* Wed Mar 02 2011 Mark McKinstry <mmckinst@nexcess.net> - 20110120-1
- upgrade to version 20110120

* Wed Oct 6 2010 Mark McKinstry <mmckinst@nexcess.net> - 20090107-6
- update Source0 line to use macros

* Tue Oct 5 2010 Mark McKinstry <mmckinst@nexcess.net> - 20090107-4
- add libdir to build
- update license

* Sat May 8 2010 Mark McKinstry <mmckinst@nexcess.net> - 20090107-3
- switch to one style of RPM macros
- include LDFLAGS

* Wed Apr 28 2010 Mark McKinstry <mmckinst@nexcess.net> - 20090107-2
- update license
- apply patch from Terje Rosten to preserve timstamps on man page, handle
  changes in compression of man pages more robustly, include CFLAGS, and include
  debug info

* Tue Apr 27 2010 Mark McKinstry <mmckinst@nexcess.net> - 20090107-1
- initial build
